/***************************************************************************
 *   Copyright (C) %{CURRENT_YEAR} by %{AUTHOR} <%{EMAIL}>                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#include "danbooru_client.h"
#include <KDE/KApplication>
#include <KDE/K4AboutData>
#include <KDE/KCmdLineArgs>
#include <KDE/KLocale>
#include <QApplication>
#include <K4AboutData>
#include <KLocalizedString>
#include <QCommandLineParser>
#include <QCommandLineOption>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "%{VERSION}";

int main(int argc, char **argv)
{
    K4AboutData about("danbooru_client", 0, ki18n("danbooru_client"), version, ki18n(description),
                      K4AboutData::License_GPL, ki18n("(C) %{CURRENT_YEAR} %{AUTHOR}"), KLocalizedString(), 0, "%{EMAIL}");
    about.addAuthor(ki18n("%{AUTHOR}"), KLocalizedString(), "%{EMAIL}");
    QApplication app(argc, argv);
    QCommandLineParser parser;
    K4AboutData::setApplicationData(aboutData);
    parser.addVersionOption();
    parser.addHelpOption();
    //PORTING SCRIPT: adapt aboutdata variable if necessary
    aboutData.setupCommandLine(&parser);
    parser.process(app);
    aboutData.processCommandLine(&parser);

    parser.addOption(QCommandLineOption(QStringList() <<  QLatin1String("+[URL]"), i18n("Document to open")));

    danbooru_client *widget = new danbooru_client;

    // see if we are starting with session management
    if (app.isSessionRestored()) {
        RESTORE(danbooru_client);
    } else {
        // no session.. just start up normally
        if (parser.positionalArguments().count() == 0) {
            //danbooru_client *widget = new danbooru_client;
            widget->show();
        } else {
            int i = 0;
            for (; i < parser.positionalArguments().count(); i++) {
                //danbooru_client *widget = new danbooru_client;
                widget->show();
            }
        }

    }

    return app.exec();
}
